/******************************************
 **              CSR UTILS               **
 ** http://www.dcsr.ru/comp/csrutils/    **
 ******************************************
 **            Logging utils             **
 ** Version 0.1 (2015 DECEMBER 04)       **
 ******************************************/

#pragma once

#include "csrutils.h"

#ifdef _DEBUG
#define IF_DEBUG(x) (x)
#else
#define IF_DEBUG(x)
#endif

namespace csrutils {

enum LogLevel {
	LOG_INFO = 0,
	LOG_WARNING,
	LOG_ERROR,
	LOG_FAIL
};

void LogInit(const wchar_t *logfile, LogLevel level);
void LogMsg(uint32_t error_id, LogLevel level, const char *desc, ...);
void LogMsgDebug(uint32_t error_id, LogLevel level, const char *desc, ...);

}