/******************************************
 **              CSR UTILS               **
 ** http://www.dcsr.ru/comp/csrutils/    **
 ******************************************
 **         Marco-difinitions            **
 ** Version 1.0 (2015 DECEMBER 04)       **
 ******************************************/

#pragma once

#define _CSRMACRO_INC_

#define ALIGN32(x)	(((((x)-1)>>2)+1)<<2)
#define ALIGN64(x)	(((((x)-1)>>3)+1)<<3)

#define ALIGN4B(x)	(((((x)-1)>>2)+1)<<2)
#define ALIGN8B(x)	(((((x)-1)>>3)+1)<<3)
#define ALIGN16B(x)	(((((x)-1)>>4)+1)<<4)

#define LIMIT(x,min,max) ((x)<(min)?(min):((x)>(max)?(max):(x)))
#define MIN(x,y) ((x)<(y)?(x):(y))
#define MAX(x,y) ((x)>(y)?(x):(y))

#define ABS(x) ((x)<0?(-(x)):(x))
#define SIGN(x) ((x)>0?1:((x)<0?(-1):0))
