#include "csrutils.h"
#include "csrzip.h"
#include "csrmath.h"
#include "csrmthread.h"

using namespace csrutils;

void TestZip();
void TestComplex();

struct tt1 {
	int x, y;
};

int main() {
	//TestComplex();
	OBJMON_INFO info;
	tt1* a = CSRUTILS_OBJMON_ALLOC(tt1,&info);
	Objmon_free(a);
	return 0;
}

void TestComplex() {
	ComplexD x(-1.0,0.0);
	ComplexD y = x * ComplexD(3,2);
	ComplexD z = y / x;
	double zz = 1.0;
	double xx = ( zz+=2.0);
	y = -sqrt(x);
	z = x.pow( Rational(1,2), 1 );
}

void TestZip() {
	size_t sz;
	ZipArchive zip;
	zip.open("temp.zip",ZIP_READ);
	ZipArchiveEntry* file = zip.getEntry("file.txt");
	//ZipArchiveEntry *file = zip.addEntry("file.txt");
	//file->open(true);
	//file->write("Some text",9,&sz);
	//file->close();
	zip.close();
}