/******************************************
 **              CSR UTILS               **
 ** http://www.dcsr.ru/comp/csrutils/    **
 ******************************************
 **       Document Object Model         **
 ******************************************/

#include <csrutils.h>
#include <csrstr.h>

namespace csrutils {

class DOMObject;
class DOMReference;
class DOMType;

class DOMType {
public:
};

class DOMReference {
public:
	DOMReference(DOMObject &object, String path);
	~DOMReference();
	DOMType gettype();
};

class DOMObject {
public:
	DOMObject();
	~DOMObject();

	virtual DOMReference getItem(String path) = 0;
};

};
