/******************************************
 **              CSR UTILS               **
 ** http://info.dcsr.ru/comp/csrutils/   **
 ******************************************
 **            Basic header              **
 **   Version: 0.2 (2015-05-25)          **
 ******************************************/

#include <csrutils.h>
#include <csrmthread.h>

using namespace csrutils;

HandledObjectSync::HandledObjectSync() {
	sync = new SyncObject();
}

HandledObjectSync::~HandledObjectSync() {
	delete sync;
}

void HandledObjectSync::addHandle() {
	sync->uses_inc();
}

void HandledObjectSync::delHandle() {
	sync->lock();	// ??
	sync->uses_dec();
	if( sync->uses() == 0 )
		delete this;
	else
		sync->unlock();	// ??
}
