#pragma once

//enum ZipArchiveOpen

typedef unsigned long handle_ref;

#ifndef _WINDOWS_
#define DEF_HANDLE
#define HANDLE			handle_ref
#endif

struct ZIP_FILE;

class ZipArchive {
	HANDLE zip_file;
	ZIP_FILE *file_first, *file_last;

public:
	bool open(const char *file);
	bool close();

	bool writeFile(const char *name, const void *data, long size);
	bool addFile(const char *extname, const char *intname);
};

#ifdef DEF_HANDLE
#undef DEF_HANDLE
#undef HANDLE
#endif